Update Resident: Propertyware REST

Update Resident: Propertyware REST | Method | Interface | |---|---| | PUT /v1/contacts | Contacts |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_idstringRequired
The Propexo unique identifier for the resident

Request

This endpoint expects an object.
first_namestringOptional<=30 characters
The first name associated with the resident
middle_namestringOptional<=30 characters
The middle name associated with the resident
last_namestringOptional<=30 characters
The last name associated with the resident
email_1stringOptionalformat: "email"
The primary email address associated with the resident
email_2stringOptionalformat: "email"
The secondary email address associated with the resident
date_of_birthstringOptionalformat: "date-time"
The date of birth associated with the resident
address_1stringOptional
The first address line associated with the resident
address_2stringOptional
The second address line associated with the resident
citystringOptional
The city associated with the resident
statestringOptional
The state associated with the resident
zipstringOptional
The zip code associated with the resident
countryenum or stringOptional
The country associated with the resident
phone_1stringOptional
Primary phone number associated with the resident
phone_1_typeenumOptional
Type of the primary phone number
Allowed values:
phone_2stringOptional
Secondary phone number associated with the resident
phone_2_typeenumOptional
Type of the secondary phone number
Allowed values:
notesstringOptional
Notes associated with the resident

Response

Successful response
metaobject
resultobject

Errors